;------------------------------------------------------
; Sol_Asm assembler core
; Copyright (c) 2004-2007, Bogdan Valentin Ontanu.
; All rights reserved.
;------------------------------------------------------

;------------------------------------------------------------------
; This file is used to test Sol_ASM
; OMF format generation
;------------------------------------------------------------------
import_dll 	kernel32.dll
import_func	ExitProcess
import_func	GetStdHandle
import_func	WriteFile



section "code"	 	class_code
section "data"		class_data

#ifdef /win32_pe
section "idata"		class_imports
#endif


STD_INPUT_HANDLE	EQU	-10
STD_OUTPUT_HANDLE	EQU	-11

.entry App_Init

.data
	out_handle	dd	0
	in_handle	dd	0
	bytes_wr	dd	0

	msg_sz		db	13,10,"Message from OMF linked App...",0

.code

	nop
	nop

App_Init:

	invoke	GetStdHandle,STD_OUTPUT_HANDLE

	mov	[out_handle],eax

	invoke	WriteFile,[out_handle],msg_sz,32,bytes_wr,0

	invoke	ExitProcess,0
	ret

















